Tasmim Inspire logoapiatlas.Explore all APIs
API ATLAS DIRECTORY · GAMES & COMICS

Pokéapi

Pokémon Information

Category
Games & Comics
Authentication
No authentication listed
HTTPS
Yes
CORS
Unknown
Official provider documentation Report a broken link
OPTIONAL · NO-KEY SAMPLE REQUEST

Start with a working example

These sample requests use a curated public GET endpoint. Provider access, rate limits, and availability can change.

JavaScript Fetch
JavaScript Fetch
const response = await fetch("https://pokeapi.co/api/v2/pokemon/pikachu", {
  headers: { Accept: 'application/json' },
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
const data = await response.json();
console.log(data);
PHP with cURL
PHP with cURL
<?php

$url = 'https://pokeapi.co/api/v2/pokemon/pikachu';
$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_TIMEOUT => 15,
    CURLOPT_HTTPHEADER => ['Accept: application/json'],
]);
$response = curl_exec($ch);
if ($response === false) {
    $error = curl_error($ch);
    curl_close($ch);
    throw new RuntimeException($error);
}
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
curl_close($ch);
if ($status >= 400) throw new RuntimeException("HTTP {$status}");
$data = json_decode($response, true, 512, JSON_THROW_ON_ERROR);
print_r($data);
Command line cURL
Command line cURL
curl --fail --silent --show-error --get 'https://pokeapi.co/api/v2/pokemon/pikachu'

The PHP example requires PHP and the cURL extension. No secret key is included or sent to API Atlas.

KEEP EXPLORING

More in Games & Comics

Games & ComicsAmiiboAPI

Nintendo Amiibo Information

View API page
Games & ComicsAnimal Crossing: New Horizons

API for critters, fossils, art, music, furniture and villagers

View API page
Games & ComicsAstroworld

Free Minecraft data: mobs, biomes, items, enchantments, structures, commands, versions, achievements, trades

View API page
Games & ComicsAutochess VNG

Rest Api for Autochess VNG

View API page
Games & ComicsBarter.VG

Provides information about Game, DLC, Bundles, Giveaways, Trading

View API page
Games & ComicsBattle.net

Diablo III, Hearthstone, StarCraft II and World of Warcraft game data APIs

View API page